fpurge(3bsd)

NAME
fpurge - flush a stream

LIBRARY
libbsd

SYNOPSIS
#include <stdio.h>
(See libbsd(7) for include usage.)
int
fpurge(FILE *stream);

DESCRIPTION
The function fpurge() erases any input or output buffered in the given stream. For output streams this discards any unwritten output. For input streams this discards any input read from the underlying object but not yet obtained via getc(3); this includes any text pushed back via ungetc(3).

RETURN VALUES
Upon successful completion 0 is returned. Otherwise, EOF is returned and the global variable errno is set to indicate the error.

ERRORS

[EBADF]
    stream is not an open stream.

SEE ALSO
fclose(3), fopen(3), setvbuf(3)

HISTORY
The fpurge() function first appeared in 4.4BSD Lite.